Jump to content

How to add custom songs on Mac


Recommended Posts

  • Replies 438
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

How to Use Custom DLC (cDLC) on Mac   Here's a condensed version for those of you who have a hard time following instructions.   The following instructions are for Rocksmith 2014 R

@Zero_black_zero  For anyone with Mac 64 bit Rocksmith 2014 Remastered issues.  Here's what to do: 1) Uninstall Rocksmith.  Make sure you DELETE the steam folder/files under application support when

64-Bit (Catalina and latest Rocksmith Update): Download, unzip and run the "run rs patch.command", then launch Rocksmith as normal. https://drive.google...iew?usp=sharing OP UPDATED  

Posted Images

  • 4 weeks later...

ok so for those with the toolkit requiring "mono 2.8 or higher" to work despite installing any of the versions have to install this specific version of toolkit and the link that takes you to dropbox to download it does not work.
pls fix

  • Like 1
Link to post
Share on other sites

Hello all,

 

Many thanks to everyone involved for all of the work here. I have been using CDLC on a Win PC for ages but I now have a Mac. I am trying to convert the existing PC files to Mac but I am getting the  message about the Toolkit requiring Mono 2.8 or higher to run.

 

Looks like this version of the toolkit is now unavailable:

https://www.dropbox....oolkit.zip?dl=0

 

Is there anywhere else that I can get it, please?

 

Thanks,

Nick.

 

EDIT: Oops just seen the post above. How did I not see that? Sorry!

Link to post
Share on other sites

  • 3 weeks later...
  • 2 weeks later...
  • 2 weeks later...

 

 

RS Toolkit:

 

If You Get A Message About The Toolkit Requiring Mono 2.8 or Higher To Run (Despite Installing Any of the Versions of Mono Above):

 

Once Mono is installed correctly, use this version of the Toolkit:

https://www.dropbox.com/s/ongd4aunfuhid0b/RocksmithCustomSongToolkit.zip?dl=0

 

This is an older version of the Toolkit, but it will allow you to convert PC customs to Mac, as well as update AppID if needed, and extract tabs.  I have edited the script that launches this version of the Toolkit to ignore the check for which version of Mono is installed.

 

For some reason this modification does not work on newer versions of the Toolkit.

 

 

 

This file is missing, could you be so kind  as to reupload or edit the link to a working copy please. Thank you.

Link to post
Share on other sites

  • 2 weeks later...

Thank you, and I am happy to report that it works under macOS 10.14 Mojave (beta10) incase you are tracking compatibility.

Did you try RS 2014 under Mojave final? Is it running and are customs working? According to https://www.reddit.com/r/rocksmith/comments/9aberb/rocksmith_2014_and_macos_mojave_with_over_40000/ the Mojave update breaks RS?

Link to post
Share on other sites

I'm on macOS High Sierra 10.13.6 (17G2307). I followed the instructions for Sierra....

 

Managed to run the patch.

 

Then installed Mono, but the latest version wouldn't instal correctly, so uninstalled following the instructions on their site. Then installed 4.0.4.4, which seemed to instal just fine (ran the mono --version).

 

Then downloaded the latest version of the toolkit, which insisted I have Mono 2.8 or later, which of course I have....

 

Ok, so then tried to download the older version which is apparently patched, and ... file not found.

 

So I'm stuck. Any suggestions? This worked fine on my older Mac, last time I used it, in March I think.

  • Like 1
Link to post
Share on other sites

I'm on macOS High Sierra 10.13.6 (17G2307). I followed the instructions for Sierra....

 

Managed to run the patch.

 

Then installed Mono, but the latest version wouldn't instal correctly, so uninstalled following the instructions on their site. Then installed 4.0.4.4, which seemed to instal just fine (ran the mono --version).

 

Then downloaded the latest version of the toolkit, which insisted I have Mono 2.8 or later, which of course I have....

 

Ok, so then tried to download the older version which is apparently patched, and ... file not found.

 

So I'm stuck. Any suggestions? This worked fine on my older Mac, last time I used it, in March I think.

 

Same here. I was hoping to find a fix... Guess I'll see if someone can convert a few for me from the RS FB group or something...

Link to post
Share on other sites

Please use wined version of cst instead of mono one, I'm sure you could alter launch script to auto-install mono in case it's not there and such but I ain't a mac user nor anyone from dev team, sorry guys, I know there's somewhere working build that won't ask you about mono, but meh, wined version is able to produce working cdlc on your mac, which mono version isn't going to do in near future :)

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Recently Browsing   0 members

    No registered users viewing this page.


×
×
  • Create New...

Important Information

By using this site, you agree to our Guidelines. We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue. - Privacy Policy